Make asterisk handle 423 Interval Too Short messages better.
authorMatthew Nicholson <mnicholson@digium.com>
Wed, 12 Aug 2009 19:53:14 +0000 (19:53 +0000)
committerMatthew Nicholson <mnicholson@digium.com>
Wed, 12 Aug 2009 19:53:14 +0000 (19:53 +0000)
commit56110dd4f1f484b04ecb003aafd18fd53fc51e26
treee6c4ddd58eb12b0a1abc744c174e6776de6642a6
parent2898243c773ed75a1bb34574b6aa2600cbd91c6a
Make asterisk handle 423 Interval Too Short messages better.

This change uses separate values for the acceptable minimum expiry provided by the 423 error and the expiry value stored in the configuration file.  Previously, the value pulled from the configuration file would be overwritten.

(closes issue #14366)
Reported by: Nick_Lewis
Patches:
      sip-expiry-fix1.diff uploaded by mnicholson (license 96)
      chan_sip.c-reqexpiry.patch uploaded by Nick (license 657)
Tested by: mnicholson

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@211876 65c4cc65-6c06-0410-ace0-fbb531ad65f3
channels/chan_sip.c